package com.example.common

import com.example.data.entity.GroupDAO
import com.example.data.entity.UserDAO
import com.example.domain.group.GroupModel
import com.example.domain.models.UserModel
import kotlinx.coroutines.Dispatchers
import org.jetbrains.exposed.sql.transactions.experimental.newSuspendedTransaction

suspend fun <T> dbQuery(block: () -> T): T =
    newSuspendedTransaction(Dispatchers.IO) { block() }

fun daoGroupToModel(daoGroup: GroupDAO) = GroupModel(
    id = daoGroup.id.value,
    name = daoGroup.name,
    users = daoGroup.users.map { daoUserToModel(it) }
)
fun daoUserToModel(daoUser: UserDAO) = UserModel(
    uuid = daoUser.id.value.toString(),
    name = daoUser.name
)