package com.example.controller

import com.example.controller.requests.user.CreateUserWithGroupRequest
import com.example.data.models.UserCreateWithoutGroupRequest
import com.example.domain.admin.AdminService
import io.ktor.server.application.*
import io.ktor.server.request.*
import io.ktor.server.routing.*


fun Application.adminRouter(adminService: AdminService){

    routing {
        route("admin"){
            post {
                val request = call.receive<CreateUserWithGroupRequest>()
                adminService.createGroupWithStudents(request.groupName, request.usersName.map { it -> UserCreateWithoutGroupRequest(it.name) })
            }
        }
    }
}