package com.example.controller

import com.example.controller.requests.presence.CreatePresenceByGroupAndDayRequest
import com.example.domain.presence.PresenceService
import io.ktor.server.application.*
import io.ktor.server.request.*
import io.ktor.server.routing.*


fun Application.presenceRouter(presenceService: PresenceService){

    routing {
        route("presence"){
            post {
                val presenceGenerate = call.receive<CreatePresenceByGroupAndDayRequest>()
                presenceService.generatePresenceByGroupAndDay(
                    groupID = presenceGenerate.groupID,
                    date = presenceGenerate.date,
                    firstLesson = presenceGenerate.firstLessonNumber,
                    lastLesson = presenceGenerate.lastLessonNumber
                )
            }
        }
    }
}