package com.example.data

import com.example.data.entity.Groups
import com.example.data.entity.Presences
import com.example.data.entity.Users
import io.ktor.http.*
import io.ktor.server.application.*
import io.ktor.server.config.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.transactions.transaction

fun Application.configureDatabases() {



    Database.connect(
        url = environment.config.property("db.host").getString(),
        user = environment.config.property("db.user").getString(),
        password = environment.config.property("db.password").getString(),

    )
    run {
        transaction {
            SchemaUtils.create(Groups)
            SchemaUtils.create(Users)
            SchemaUtils.create(Presences)
        }
    }
}
