package com.example.data.entity

import org.jetbrains.exposed.dao.CompositeEntity
import org.jetbrains.exposed.dao.CompositeEntityClass
import org.jetbrains.exposed.dao.id.CompositeID
import org.jetbrains.exposed.dao.id.CompositeIdTable
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.sql.kotlin.datetime.date

object Presences: CompositeIdTable("presences"){
    var isAttendance = bool("presence_is_attendance")
    val date = date("presence_date")
    val userUUID = reference("user_uuid", Users.id)
    val lessonNumber = integer("lessonNumber")
    override val primaryKey: PrimaryKey = PrimaryKey(date, userUUID, lessonNumber, isAttendance)
}

class PresenceDAO(id: EntityID<CompositeID>): CompositeEntity(id){
    companion object: CompositeEntityClass<PresenceDAO>(Presences)
    var user by UserDAO referencedOn Presences.userUUID
    var date by Presences.date
    var userUUID by Presences.userUUID
    var lessonNumber by Presences.lessonNumber
    var isAttendance by Presences.isAttendance
}
