package com.example.data.entity

import com.example.data.entity.UserDAO.Companion.referrersOn
import org.jetbrains.exposed.dao.UUIDEntity
import org.jetbrains.exposed.dao.UUIDEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.UUIDTable
import java.util.UUID

object Users: UUIDTable("users") {
    val name = text("user_name")
    val group = reference("group_id", Groups)
}


class UserDAO(uuid: EntityID<UUID>): UUIDEntity(uuid){
    companion object: UUIDEntityClass<UserDAO>(Users)
    var name by Users.name
    var group_id by Users.group
}