package com.example.data.repository.group

import com.example.common.daoGroupToModel
import com.example.common.dbQuery
import com.example.data.entity.GroupDAO
import com.example.data.entity.Groups
import com.example.domain.group.GroupModel
import org.jetbrains.exposed.sql.SqlExpressionBuilder.eq
import org.jetbrains.exposed.sql.deleteWhere

class GroupRepositoryImpl: GroupRepository {
    override suspend fun getAllGroups(): List<GroupModel>  = dbQuery {
          GroupDAO.all().map(::daoGroupToModel)
        }

    override suspend fun getGroupById(id:Int): GroupModel? = dbQuery {
        GroupDAO.findById(id)?.let { daoGroupToModel(it) }
    }

    override suspend fun updateGroupById(id: Int, group:GroupModel): Boolean = dbQuery {
        GroupDAO.findByIdAndUpdate(id, {it.name = group.name}) != null
    }

    override suspend fun removeGroupById(id: Int): Boolean = dbQuery{
        val rowsDeleted = Groups.deleteWhere { Groups.id eq id }
        rowsDeleted == 1
    }
}