package com.example.data.repository.presence

import com.example.common.dbQuery
import com.example.data.entity.PresenceDAO
import com.example.data.entity.Presences
import com.example.data.entity.Users
import com.example.data.models.PresenceCreateRequest
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.sql.insert
import org.jetbrains.exposed.sql.insertAndGetId

class PresenceRepositoryImpl: PresenceRepository {
    override suspend fun insertPresences(presences: List<PresenceCreateRequest>) = dbQuery {
        presences.forEach { presence ->
            Presences.insert { presenceIns ->
                presenceIns[date] =  presence.date
                presenceIns[isAttendance]  = presence.isAttendance
                presenceIns[userUUID] = presence.userUUID
                presenceIns[lessonNumber] = presence.lessonNumber
            }
        }
    }
}