package com.example.data.repository.user

import com.example.common.daoUserToModel
import com.example.common.dbQuery
import com.example.data.entity.Groups
import com.example.data.entity.UserDAO
import com.example.data.entity.Users
import com.example.domain.models.UserModel
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.sql.SqlExpressionBuilder.eq
import org.jetbrains.exposed.sql.deleteWhere
import java.util.*

class UserRepositoryImpl: UserRepository {
    override suspend fun getByGuid(uuid: UUID): UserModel? = dbQuery {
        UserDAO.findById(uuid)?.let { daoUserToModel(it) }
    }
    override suspend fun getAllUsers(): List<UserModel> = dbQuery {
        UserDAO.all().map(::daoUserToModel).toList()
    }

    override suspend fun updateUserByUUID(id: UUID, updatedUser: UserModel): Boolean = dbQuery {
        UserDAO.findByIdAndUpdate(id, { user ->
            user.name = updatedUser.name
        }) != null
    }

    override suspend fun removeUserByUUID(id: UUID): Boolean = dbQuery{
        val result = Users.deleteWhere { Users.id eq id }
        result > 0
    }
}