package com.example.di

import com.example.data.repository.admin.AdminRepository
import com.example.data.repository.admin.AdminRepositoryImpl
import com.example.data.repository.group.GroupRepository
import com.example.data.repository.group.GroupRepositoryImpl
import com.example.data.repository.presence.PresenceRepository
import com.example.data.repository.presence.PresenceRepositoryImpl
import com.example.domain.group.GroupService
import com.example.domain.admin.AdminService
import com.example.domain.presence.PresenceService
import org.koin.core.module.dsl.bind
import org.koin.core.module.dsl.singleOf
import org.koin.dsl.module

val appModules =  module {
    singleOf(::GroupRepositoryImpl){bind<GroupRepository>()}
    singleOf(::AdminRepositoryImpl){bind<AdminRepository>()}
    singleOf(::PresenceRepositoryImpl){bind<PresenceRepository>()}
    singleOf(::GroupService)
    singleOf(::AdminService)
    singleOf(::PresenceService)
}