package com.example.domain.presence

import com.example.data.models.PresenceCreateRequest
import com.example.data.repository.group.GroupRepository
import com.example.data.repository.presence.PresenceRepository
import kotlinx.datetime.LocalDate
import java.util.*

class PresenceService(
    private val presenceRepository: PresenceRepository,
    private val groupRepository: GroupRepository
) {
    suspend fun generatePresenceByGroupAndDay(groupID:Int,
                                              date:LocalDate,
                                              firstLesson:Int,
                                              lastLesson:Int){
        val generatedPresences = mutableListOf<PresenceCreateRequest>()
        val users = groupRepository.getGroupById(groupID)
        users?.users?.forEach { user ->
            for (i in firstLesson..lastLesson){
                generatedPresences.add(PresenceCreateRequest(
                    date = date,
                    userUUID = UUID.fromString(user.uuid),
                    lessonNumber = i
                    ))
            }
        }
        if(generatedPresences.isNotEmpty()) presenceRepository.insertPresences(generatedPresences)
    }
}