package com.example.plugins

import com.example.controller.adminRouter
import com.example.controller.groupRouter
import com.example.controller.presenceRouter
import com.example.domain.admin.AdminService
import com.example.domain.group.GroupService
import com.example.domain.presence.PresenceService
import io.ktor.server.application.*
import org.koin.ktor.ext.inject

fun Application.configureRouting() {
    val groupService by inject<GroupService>()
    val adminService by inject<AdminService>()
    val presenceService by inject<PresenceService>()
    groupRouter(groupService)
    adminRouter(adminService)
    presenceRouter(presenceService)
}
